> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ML Utterance Train Status API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Retrieves the current ML training status for a bot.

| Field | Value |
| - | - |
| **Method** | GET |
| **Endpoint** | `https://{{host}}/api/public/bot/{{BotID}}/ml/train/status?language={{lang}}&state={{state}}` |
| **Content Type** | `application/json` |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope** | App Builder: Train ML; Admin Console: Test and Train > Train ML |

## Path Parameters

| Parameter | Required/Optional | Description |
| - | - | - |
| `host` | Required | The environment URL. For example, `https://platform.kore.ai` |
| `BotID` | Required | Bot ID or Stream ID. Accessible under **General Settings** on the App Builder. |
| `language` | Optional | Bot language identified by its acronym (for example, `en` for English, `de` for German). The user can set the default language of the bot. |
| `state` | Optional | Bot state: `configured` for the in-development version, `published` for the published version. Defaults to `configured`. |

## Sample Request

```json theme={null}
curl -X GET \
  https://{{host}}/api/public/bot/{{BotId}}/ml/train/status \
  -H 'Content-Type: application/json' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
```

## Body Parameters

No body parameters are passed.

## Sample Response

**Successful training:**

```json expandable=true theme={null}
{
    "trainingStatus": "Finished",
    "isMlInSyncWithSentences": true,
    "isMlInSyncWithSynonyms": true,
    "isMlInSyncWithMlparams": true,
    "isMlInSyncWithTraits": true,
    "isMlInSyncWithSmallTalk": true,
    "isMlInSyncWithUBTraining": true,
    "isMlInSyncWithEntityNode": true,
    "isMlInSyncWithIntentNode": true,
    "isMlInSyncWithPatterns": true,
    "isMlInSyncWithBTUtterances": true,
    "trainDetails": {
        "nlpVersion": 3,
        "trainVersion": 3
    }
}
```

**Training in progress:**

```json theme={null}
{
    "trainingStatus": "Inprogress",
    "isMlInSyncWithSentences": true,
    "isMlInSyncWithSynonyms": true,
    "isMlInSyncWithMlparams": true,
    "isMlInSyncWithTraits": true,
    "isMlInSyncWithSmallTalk": true,
    "isMlInSyncWithUBTraining": true
}
```

**Failed training:**

```json theme={null}
{
    "trainingStatus": "Failed",
    "isMlInSyncWithSentences": true,
    "isMlInSyncWithSynonyms": true,
    "isMlInSyncWithMlparams": true,
    "isMlInSyncWithTraits": true,
    "isMlInSyncWithSmallTalk": true,
    "isMlInSyncWithUBTraining": true
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.